Skip to main content
GET
Get a memo

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string
required
id
string
required

Response

When request is successful. Returns a 'Memo' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
id
string | null

The unique identifier of the memo.

Example:

"009f778f-83df-454a-b344-768a862a7e55"

matterId
string | null

The unique identifier of the matter.

Example:

"776e778f-83df-454a-b344-768a862a6e58"

title
string | null

The title of the memo.

Example:

"Update"

text
string | null

The text (content) of the memo.

In RTF (Rich Text Format).

Example:

"{\\\\rtf1\\\\ansi\\\\ansicpg1252\\\\uc1\\\\htmautsp\\\\deff2{\\\\fonttbl{\\\\f0\\\\fcharset0 Times New Roman;}{\\\\f2\\\\fcharset0 Calibri;}}{\\\\colortbl\\\\red0\\\\green0\\\\blue0;\\\\red255\\\\green255\\\\blue255;}\\\\loch\\\\hich\\\\dbch\\\\pard\\\\plain\\\\ltrpar\\\\itap0{\\\\lang1033\\\\fs18\\\\f2\\\\cf0 \\\\cf0\\\\ql{\\\\f2 {\\\\ltrch There has been a recent update on this matter.}\\\\li0\\\\ri0\\\\sa0\\\\sb0\\\\fi0\\\\ql\\\\sl15\\\\slmult0\\\\par}\\r\\n}\\r\\n}"

plainText
string | null

The plain text (content) of the memo.

Example:

"There has been a recent update on this matter."

createdDate
string<date-time>

Date the memo was created.

Example:

"2022-04-23T14:00:00Z"

createdByUserId
string | null

The unique identifier of the user who created the memo.

Example:

"010f7d8e-82d1-454b-c324-760a862a7e22"

lastUpdated
string<date-time> | null

Date and time that the memo was last updated.

Example:

"2022-05-02T16:22:02Z"

updatedByUserId
string | null

The unique identifier of the user who last updated the memo.

Example:

"010f7d8e-82d1-454b-c324-760a862a7e22"

isDeleted
boolean

Indicates whether or not the memo is deleted (true if it is, false if not).